<app-header [border]="false" class="ion-margin-horizontal"></app-header>
<ion-content>
    <ion-grid class="border-top-1 border-0 border-solid has-border-gray">
        <!-- Search Form -->
        <ion-row
            class="ion-justify-content-center ion-padding-top"
            *ngIf="caseService.list.length > 10"
        >
            <ion-col size="11" class="ion-no-padding pb-10">
                <app-input-text
                    data-test-id="search"
                    [control]="searchForm"
                    name="search"
                    inputType="text"
                    iconName="search"
                    additionalClass="radius-11 border-1 border-solid has-border-green-light-thin has-background-pale-grey-dark ion-align-items-center"
                ></app-input-text>
            </ion-col>
        </ion-row>
        <!-- List -->
        <div class="mx-8 ion-margin-top">
            <app-caselist [list]="filteredList"></app-caselist>
        </div>
        <!-- Cases don't exist -->
        <app-action-required
            *ngIf="caseService.list.length === 0 && !loading"
            class="block mx-8 radius-17 px-4 has-background-light-gray"
        >
            <ion-label class="size-13 is-grey-lighter weight-400">
                Vous pouvez définir ou contribuer à un <br />cas clinique au
                travers de l’expérience de <br />votre réseau. Ainsi , vous
                bénéficiez de <br />l’expérience de vos paires pour résoudre un
                <br />cas difficile ou partager des <br />expériences.
            </ion-label>
            <ion-row class="ion-justify-content-center">
                <ion-col size="auto" sizeMd="6" class="pt-10">
                    <app-button
                        title="Publier un cas"
                        routerLink="/tabs/diaries"
                        fill="clear"
                        expand="block"
                        class="flex radius-10 weight-600 ion-justify-content-center is-primary border-1 border-solid"
                    >
                    </app-button>
                </ion-col>
            </ion-row>
        </app-action-required>
    </ion-grid>
</ion-content>
<ion-footer class="ion-no-border">
    <app-tabs activeTab="cases"></app-tabs>
</ion-footer>
